> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate a partner code

> Confirms a partner code exists and is active. Returns the partner display name when valid.



## OpenAPI

````yaml post /api/public/partners/auth/validate
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/partners/auth/validate:
    post:
      tags:
        - public/partners
      summary: Validate a partner code
      description: >-
        Confirms a partner code exists and is active. Returns the partner
        display name when valid.
      operationId: PartnerPipelineViewerController_validatePartnerCode
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidatePartnerCodeDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    ValidatePartnerCodeDto:
      type: object
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 100
      required:
        - code

````